%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		0
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

%define gtk3api		2
%define gtk3lib		%mklibname %{name} %{gtk3api} %{major}

Summary:	An extension library for Xfce desktop environment
Name:		exo
Version:	0.12.8
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.xfce.org
Source:		https://archive.xfce.org/src/xfce/exo/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches
#
# Mageia patches:
Patch501:	0001-Fix-Chromium-helper.patch
Patch502:	0002-Add-Firefox-Beta-helper.patch
Patch503:	0001-Add-MATE-terminal-helper.patch
BuildRequires:	xfce4-dev-tools
BuildRequires:	intltool
BuildRequires:	git-core
BuildRequires:	perl(URI)
BuildRequires:  pkgconfig(libxfce4util-1.0)
# gtk2
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
# gtk3
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)

%description
This is libexo, an extension library to Xfce, developed by os-cillation.
While Xfce comes with quite a few libraries that are targeted at
desktop development, libexo is targeted at application development.

%package -n %{libname}
Summary:	An extension library for Xfce
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Exo is an Xfce library targeted at application development. It contains
various custom widgets and APIs extending the functionality of GLib and
GTK+. It also ships utilities for defining preferred applications,
mounting storage devices and more.

%package -n %{gtk3lib}
Summary:	An extension library for Xfce
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{gtk3lib}
Exo is an Xfce library targeted at application development. It contains
various custom widgets and APIs extending the functionality of GLib and
GTK+. It also ships utilities for defining preferred applications,
mounting storage devices and more.

%package -n %{develname}
Summary:	Development files, headers and documentation for libexo
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gtk3lib} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files, headers and documentation for libexo.

%prep
%autosetup -p1 -Sgit_am

%build
%xdt_autogen
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

# (tpg) already in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/helpers.rc

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}-%{api}

%files -f %{name}-%{api}.lang
%doc AUTHORS README ChangeLog TODO
%{_bindir}/exo*
%dir %{_libdir}/xfce4/%{name}/
%{_libdir}/xfce4/%{name}/exo-compose-mail
%dir %{_libdir}/xfce4/%{name}-%{gtk3api}/
%{_libdir}/xfce4/%{name}-%{gtk3api}/exo-helper-%{gtk3api}
%{_datadir}/applications/*.desktop
%{_datadir}/xfce4/helpers/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/exo*
%dir %{_datadir}/pixmaps/exo/
%{_datadir}/pixmaps/exo/exo-thumbnail-frame.png

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{gtk3lib}
%{_libdir}/lib%{name}-%{gtk3api}.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}/
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/lib%{name}-%{gtk3api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-%{gtk3api}.pc
%{_includedir}/exo-%{api}/
%{_includedir}/exo-%{gtk3api}/
